<ng-container *subscribe="editMapsetMutation.result$ as mapset">
  <ngx-loading [show]="mapset.isLoading" />
</ng-container>

<div [ngClass]="['mapset-detail', jds.mt(40), jds.mb(70), jds.mx(0)]">
  <div [ngClass]="jds.container">
    <div [ngClass]="[jds.mb(25)]">
      <app-breadcrumb [breadcrumb]="breadcrumb" />
    </div>

    <div
      [ngClass]="[jds.d('flex')]"
      [style.flexDirection]="'column'"
      [style.gap.px]="16"
    >
      <ng-container *subscribe="mapsetData$ as mapData">
        <ng-container *ngIf="mapData.isLoading">
          <div [ngClass]="[jds.card]">
            <div [ngClass]="[jds.cardBody, jds.p(24)]">
              <div class="wrapper-skeleton">
                <ngx-skeleton-loader
                  [theme]="{
                    width: '90%',
                    'border-radius': '0',
                    height: '28px',
                    'margin-bottom': '10px'
                  }"
                />
              </div>
              <div
                class="wrapper-skeleton"
                *ngFor="let line of [40, 30]"
              >
                <ngx-skeleton-loader
                  [theme]="{
                    width: line + '%',
                    'border-radius': '0',
                    height: '20px',
                    'margin-bottom': '10px'
                  }"
                />
              </div>
            </div>
          </div>
        </ng-container>

        <ng-container *ngIf="mapData.isSuccess">
          <app-mapset-header [data]="mapData.data" />
        </ng-container>

        <ng-container *ngIf="mapData.isLoading">
          <div [ngClass]="[jds.card]">
            <div [ngClass]="[jds.cardBody, jds.p(24)]">
              <div
                class="wrapper-skeleton"
                *ngFor="let line of [70, 10, 30, 20]"
              >
                <ngx-skeleton-loader
                  [theme]="{
                    width: line + '%',
                    'border-radius': '0',
                    height: '20px',
                    'margin-bottom': '10px'
                  }"
                />
              </div>
            </div>
          </div>
        </ng-container>

        <ng-container *ngIf="mapData.isSuccess">
          <app-mapset-information [data]="mapData.data" />
        </ng-container>

        <ng-container *ngIf="mapData.isLoading">
          <div [ngClass]="[jds.card]">
            <div [ngClass]="[jds.cardBody, jds.p(24)]">
              <div
                class="wrapper-skeleton"
                *ngFor="let line of [70, 10, 30, 20]"
              >
                <ngx-skeleton-loader
                  [theme]="{
                    width: line + '%',
                    'border-radius': '0',
                    height: '20px',
                    'margin-bottom': '10px'
                  }"
                />
              </div>
            </div>
          </div>
        </ng-container>

        <ng-container *ngIf="mapData.isSuccess">
          <app-mapset-preview [data]="mapData.data" />
        </ng-container>

        <ng-container *ngIf="mapData.isSuccess">
          <ng-container *ngIf="checkAction(mapData.data.is_validate)">
            <div
              [ngClass]="[jds.d('flex'), jds.justifyContent('end'), jds.mb(20)]"
            >
              <a
                [ngClass]="[jds.w(120), jds.me(16)]"
                [colorScheme]="'yellow'"
                [routerLink]="['/my-mapset/edit/', mapData.data.id]"
                [queryParams]="{
                  page: 'mapset-detail',
                  status:
                    mapData.data.is_validate === 1
                      ? 'new-active'
                      : 'edit-active'
                }"
                jdsBiButton
              >
                Ubah
              </a>

              <button
                [ngClass]="[jds.w(120), jds.me(16)]"
                [colorScheme]="'red'"
                (click)="onDecline(mapData.data.id)"
                jdsBiButton
              >
                Tolak
              </button>

              <button
                [ngClass]="[jds.w(120)]"
                [colorScheme]="'green'"
                (click)="onAccept(mapData.data.id)"
                jdsBiButton
              >
                Terima
              </button>
            </div>

            <app-modal-mapset-status
              [from]="'action'"
              [status]="
                mapData.data.is_validate === 1
                  ? 'revision-new'
                  : 'revision-edit'
              "
              (update)="onUpdate($event)"
            />
          </ng-container>
        </ng-container>
      </ng-container>
    </div>
  </div>
</div>
